﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace MOFT
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void Application_Startup(object sender, StartupEventArgs e)
        {
            if (e.Args.Length > 0)
            {
                string filePath = e.Args[0];

                if (System.IO.File.Exists(filePath) && filePath.EndsWith(".moft", StringComparison.OrdinalIgnoreCase))
                {
                    MainWindow wnd = new MainWindow(filePath);
                    wnd.Show();
                }
                else
                {
                    MessageBox.Show(
                    TryFindResource("STR_OPEN_WRONG_FILE").ToString(),
                    TryFindResource("STR_ERROR").ToString(),
                    MessageBoxButton.OK,
                    MessageBoxImage.Error);
                    Shutdown();
                }
            }
            else
            {
                MainWindow wnd = new MainWindow();
                wnd.Show();
            }
        }
    }
}
