﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MOFT.Classes
{
    public class AquariumViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler? PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        private Aquarium _selectedAquarium;
        private FishSpecies _selectedFishSpecies;
        private Disease _selectedDisease;
        private Medicine _selectedMedicine;

        public Aquarium SelectedAquarium
        {
            get { return _selectedAquarium; }
            set
            {
                if (_selectedAquarium != value)
                {
                    _selectedAquarium = value;
                    OnPropertyChanged(nameof(SelectedAquarium));
                }
            }
        }

        public FishSpecies SelectedFishSpecies
        {
            get { return _selectedFishSpecies; }
            set
            {
                if (_selectedFishSpecies != value)
                {
                    _selectedFishSpecies = value;
                    OnPropertyChanged(nameof(SelectedFishSpecies));
                }
            }
        }

        public Disease SelectedDisease
        {
            get { return _selectedDisease; }
            set
            {
                if (_selectedDisease != value)
                {
                    _selectedDisease = value;
                    OnPropertyChanged(nameof(SelectedDisease));
                }
            }
        }

        public Medicine SelectedMedicine
        {
            get { return _selectedMedicine; }
            set
            {
                if (_selectedMedicine != value)
                {
                    _selectedMedicine = value;
                    OnPropertyChanged(nameof(SelectedMedicine));
                }
            }
        }

        
    }
}
