﻿using DocumentFormat.OpenXml.Office2016.Drawing.ChartDrawing;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows;
using MOFT.Classes;
using System.Collections.ObjectModel;

namespace MOFT
{
    public class SpeciesListConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is ObservableCollection<FishSpecies> speciesList)
            {
                return speciesList.Select((species, index) => $"{index + 1} - {species.strFishName}").ToList();
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class DiseaseListConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is ObservableCollection<Disease> diseaseList)
            {
                return diseaseList.Select((disease, index) => $"{index + 1} - {disease.strDiseaseName}").ToList();
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class MedicineListConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is ObservableCollection<Medicine> medicineList)
            {
                return medicineList.Select((medicine, index) => $"{index + 1} - {medicine.strMedicine}").ToList();
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class SexToIndexConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string sex = value as string;

            switch (sex)
            {
                case "M":
                    return 0;
                case "F":
                    return 1;
                case "U":
                    return 2;
                default:
                    return -1;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int index = (int)value;

            switch (index)
            {
                case 0:
                    return "M";
                case 1:
                    return "F";
                case 2:
                    return "U";
                default:
                    return string.Empty;
            }
        }
    }
}
