﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MOFT.Classes
{
    public class FishSpecies : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler? PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        public string strFishCode { get; set; }
        public string strFishName { get; set; }
        public string strSex { get; set; }
        public ushort wStockQuantity { get; set; }
        public ushort wCurrentQuantity { get; set; }
        public ushort wFishLength { get; set; }
        public string strSupplier { get; set; }
        public DateTime dDateOfImport { get; set; }
        public string strFishOwnNotes { get; set; }
        public ushort wMortality { get; set; }
        public string strOrigin { get; set; }

        public byte bDiseaseCount { get; set; }
        public ObservableCollection<Disease> vDiseases { get; set; }

        public FishSpecies()
        {
            vDiseases = new ObservableCollection<Disease>();
            dDateOfImport = DateTime.Today;
        }
    }
}
