﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MOFT.Classes
{
    public class Medicine : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler? PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        public string strMedicine { get; set; }
        public DateTime dLastDosage { get; set; }
        public byte bDosagePeriodUnit { get; set; }
        public ushort wDosagePeriod { get; set; }
        public byte bDosageMeasureUnit { get; set; }
        public ushort wDosage100L { get; set; }
        public string strDescription { get; set; }

        private DateTime _dNextDosage;
        public DateTime dNextDosage
        {
            get { return _dNextDosage; }
            set
            {
                if (_dNextDosage != value)
                {
                    _dNextDosage = value;
                    OnPropertyChanged(nameof(dNextDosage));
                }
            }
        }

        public Medicine()
        {
            dLastDosage = DateTime.Today;
            wDosagePeriod = 1;
        }
    }
}
