﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MOFT.Windows.Lists
{
    /// <summary>
    /// Interaction logic for InputBox.xaml
    /// </summary>
    public partial class InputBox : Window
    {
        public string Result { get; private set; }

        public InputBox(string title, string label)
        {
            InitializeComponent();
            Title = title;
            lbl_Title.Content = label;
            tb_Input.Focus();
        }

        private void btn_Input_Cancel_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }

        private void btn_Input_OK_Click(object sender, RoutedEventArgs e)
        {
            Result = tb_Input.Text;
            DialogResult = true;
            Close();
        }

        public static string Show(string caption, string prompt)
        {
            InputBox inputBox = new InputBox(caption, prompt);
            inputBox.ShowDialog();
            return inputBox.Result;
        }
    }
}
