﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace MOFT.Windows.Lists
{
    public class ListDialogFunctions
    {
        public static void LoadListBoxFromList(ListBox listBox, List<string> l)
        {
            listBox.Items.Clear();
            foreach (string s in l)
            {
                listBox.Items.Add(s);
            }
        }

        public static bool DeleteFromList(ListBox listBox, List<string> list, string text1, string text2, string text3)
        {
            bool listChanged = false;
            if (listBox.SelectedIndex > -1)
            {
                MessageBoxResult result = MessageBox.Show(text1, text2, MessageBoxButton.YesNo);

                switch (result)
                {
                    case MessageBoxResult.Yes:
                        {
                            string itemToDelete = listBox.SelectedItem.ToString();
                            list.Remove(itemToDelete);
                            LoadListBoxFromList(listBox, list);
                            listChanged = true;
                        }
                        break;
                    case MessageBoxResult.No:
                        break;
                }
            }
            else
            {
                MessageBox.Show(text3);
            }
            return listChanged;
        }

        public static void WriteListFile(string path, List<string> l)
        {
            try
            {
                File.WriteAllText(path, String.Empty);
                using (StreamWriter sw = new StreamWriter(path))
                {
                    foreach (string str in l)
                    {
                        sw.WriteLine(str);
                    }
                   
                    sw.Close();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message.ToString(),
                ex.GetType().ToString(),
                MessageBoxButton.OK,
                MessageBoxImage.Warning);
            }
        }
    }
}
